program pecina;
var n, l, i:integer; f:boolean; h:array [1..1000] of integer;
begin
read(n, l);
f:=true;
for i:=1 to n do
    read(h[i]);
for i:=1 to n do begin
    if (l>=h[i]) and (f=true) then begin
        write(i);
        f:=false;
        end;
    end;
if f=true then write('-1');
end.